<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------


namespace app\adminapi\controller\master_commission;


use app\adminapi\controller\BaseAdminController;
use app\adminapi\lists\master_commission\MasterWorkerCommissionConfigLists;
use app\adminapi\logic\master_commission\MasterWorkerCommissionConfigLogic;
use app\adminapi\validate\master_commission\MasterWorkerCommissionConfigValidate;


/**
 * MasterWorkerCommissionConfig控制器
 * Class MasterWorkerCommissionConfigController
 * @package app\adminapi\controller
 */
class MasterWorkerCommissionConfigController extends BaseAdminController
{


    /**
     * @notes 获取列表
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/12/06 10:42
     */
    public function lists()
    {
        return $this->dataLists(new MasterWorkerCommissionConfigLists());
    }


    /**
     * @notes 添加
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/12/06 10:42
     */
    public function add()
    {
        $params = (new MasterWorkerCommissionConfigValidate())->post()->goCheck('add',[
            'adminId' => $this->adminId
        ]);
        $result = MasterWorkerCommissionConfigLogic::add($params);
        if (true === $result) {
            return $this->success('添加成功', [], 1, 1);
        }
        return $this->fail(MasterWorkerCommissionConfigLogic::getError());
    }


    /**
     * @notes 编辑
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/12/06 10:42
     */
    public function edit()
    {
        $params = (new MasterWorkerCommissionConfigValidate())->post()->goCheck('edit',[
            'adminId' => $this->adminId
        ]);
        $result = MasterWorkerCommissionConfigLogic::edit($params);
        if (true === $result) {
            return $this->success('编辑成功', [], 1, 1);
        }
        return $this->fail(MasterWorkerCommissionConfigLogic::getError());
    }


    /**
     * @notes 删除
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/12/06 10:42
     */
    public function delete()
    {
        $params = (new MasterWorkerCommissionConfigValidate())->post()->goCheck('delete');
        MasterWorkerCommissionConfigLogic::delete($params);
        return $this->success('删除成功', [], 1, 1);
    }


    /**
     * @notes 获取详情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/12/06 10:42
     */
    public function detail()
    {
        $params = (new MasterWorkerCommissionConfigValidate())->goCheck('detail');
        $result = MasterWorkerCommissionConfigLogic::detail($params);
        return $this->data($result);
    }

    public function examine()
    {
        $params = (new MasterWorkerCommissionConfigValidate())->post()->goCheck('delete',[
            'adminId' => $this->adminId
        ]);
        $result = MasterWorkerCommissionConfigLogic::examine($params);
        if (true === $result) {
            return $this->success('启动成功', [], 1, 1);
        }
        return $this->fail(MasterWorkerCommissionConfigLogic::getError());
    }
    public function offCommission()
    {
        $params = (new MasterWorkerCommissionConfigValidate())->post()->goCheck('delete',[
            'adminId' => $this->adminId
        ]);
        $result = MasterWorkerCommissionConfigLogic::offCommission($params);
        if (true === $result) {
            return $this->success('关闭成功', [], 1, 1);
        }
        return $this->fail(MasterWorkerCommissionConfigLogic::getError());
    }
}